# NG-ZORRO Snippets

![Help](https://github.com/cipchk/ng-zorro-vscode/raw/master/help.gif)

[中文](https://github.com/cipchk/ng-zorro-vscode/blob/master/README.zh-CN.md)

## Features

- Automatically completion component names, properties, complex parameters, and optional values
- Automatically filter current component input & output properties
- Mouse hover display component, propertie, and complex parameter documentation

## Usage

Typing `<` in the `.html` file to trigger all components in the intellisense list, pressing `Tab` or `Enter` will be completion automatically; no more!

In addition, some common completion code snippets are built in and prefix with `nzs-`.

## Configuration

| Name                       | Description             | Type           | Default |
|----------------------------|-------------------------|----------------|---------|
| `ng-zorro-vscode.language` | Set language code       | `zh-CN, en-US` | `en-US` |
| `ng-zorro-vscode.hover`    | Whether to enable hover | `boolean`      | `true`  |

> **NOTICE:** Changed configuration must **restart Visual Studio Code**.

## Support Language Versions

- [English Version](https://marketplace.visualstudio.com/items?itemName=cipchk.ng-zorro-vscode)
- [中文版本](https://marketplace.visualstudio.com/items?itemName=cipchk.ng-zorro-vscode-zh-CN)

## Links

- [issues](https://github.com/cipchk/ng-zorro-vscode/issues)
- If ng-alain users need additional installation [ng-alain-vscode](https://marketplace.visualstudio.com/items?itemName=cipchk.ng-alain-vscode)

## Changelog

See [CHANGELOG.md](https://github.com/cipchk/ng-zorro-vscode/blob/master/CHANGELOG.md).
