"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const zh_CN_1 = __importDefault(require("./zh-CN"));
const en_US_1 = __importDefault(require("./en-US"));
const index_1 = require("../index");
exports.LANG_DATA = {
    "zh-CN": zh_CN_1.default,
    "en-US": en_US_1.default,
};
function i18n(key) {
    return exports.LANG_DATA[index_1.CONFIG.language][key];
}
exports.i18n = i18n;
//# sourceMappingURL=index.js.map